package com.voice.platform.asr_demo;

import java.util.Objects;

public class Hotwords {
    private String name;
    private String id;

    public Hotwords() {
    }

    public Hotwords(String name, String id) {
        this.name = name;
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public String toString() {
        return name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Hotwords hotwords = (Hotwords) o;

        return Objects.equals(id, hotwords.id);
    }

    @Override
    public int hashCode() {
        return id != null ? id.hashCode() : 0;
    }
}
